summaryrefslogtreecommitdiffstats
path: root/tests/openpgp/signdemokey
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/signdemokey')
-rwxr-xr-xtests/openpgp/signdemokey16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/openpgp/signdemokey b/tests/openpgp/signdemokey
new file mode 100755
index 0000000..13c5784
--- /dev/null
+++ b/tests/openpgp/signdemokey
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ $# != 3 ]; then
+ echo "Usage: signdemokey name user_id user_id_no"
+ exit 1
+fi
+name="$1"
+user_id="$2"
+user_id_no="$3"
+
+echo "abc" | ../g10/gpg --options ./gpg.conf --homedir $name \
+ --sign-key --batch --yes --passphrase-fd 0 $user_id \
+ $user_id_no sign save
+